<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PesananDetail extends Model
{
    protected $table = 'pesanan_detail';

    protected $fillable = [
        'pesanan_id',
        'produk_id',
        'nama_produk',
        'harga',
        'qty',
        'subtotal',
        'warna',   // ← TAMBAHAN
        'ukuran',  // ← TAMBAHAN
    ];

    // RELASI KE PRODUK
    public function produk()
    {
        return $this->belongsTo(Produk::class, 'produk_id');
    }

    // RELASI KE PESANAN
    public function pesanan()
    {
        return $this->belongsTo(Pesanan::class, 'pesanan_id');
    }

}
